Bug 497528 - Improper error message from some systemgroup API calls
Improper error message from some systemgroup API calls
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/API (Show other bugs)
RHN Devel
All Linux
low Severity medium
: ---
: ---
Assigned To: Sebastian Skracic
Red Hat Network Quality Assurance
us=86777
:
Depends On:
Blocks: rhn-sprint22
  Show dependency treegraph
 
Reported: 2009-04-24 09:44 EDT by Stephen Herr
Modified: 2009-05-01 15:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-29 15:27:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Herr 2009-04-24 09:44:06 EDT
Description of problem:
When given a group that does not exist most systemgroup API calls throw an error that indicates as much. However, getDetails, listActiveSystemsInGroup, and listInactiveSystemsInGroup do not, they throw errors with "Message not found." as the message. This should be fixed.
  
Actual results:
"Message not found." error.

Expected results:
"unhandled internal exception: Unable to locate or access server group: <group>" error.
Comment 1 Sebastian Skracic 2009-04-24 13:25:21 EDT
Pushed in 2f837a94b605569d5a650cfd7ddd8e6dc7ba65d0.
Comment 2 Stephen Herr 2009-04-29 15:27:22 EDT
verified

Note You need to log in before you can comment on or make changes to this bug.